package com.jeeplus.modules.sg.materialmodule.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.modules.sg.managementcenter.project.entity.BasicInformation;

import java.util.Date;

/**
 * 施工验收流程实体类
 * */
public class MaterialModule extends ActEntity<MaterialModule> {
    private static final long serialVersionUID = 1L;
    //项目定义号
    private  String projectId;
    //项目名称
    private  String projectName;
    //储备项目名称
    private  String reserveProjectName;
    //项目基础信息
    private BasicInformation basicInformation;
    //建设单位
    private String buildingUnit;
    //工程编号
    private String projectNumber;
    //施工单位
    private String constructionUnit;
    //计划开工时间
    private  String plannedStart;
    //计划竣工时间
    private  String plannedEnd;
    //实际开工时间
    private  String actualStart;
    //实际竣工时间
    private  String actualEnd;
    //项目负责人
    private  String projectManager;
    //施工负责人
    private  String personInCharge;
    //线路名称
    private String lineName;
    //工作地点
    private  String workPlace;
    //参考作业方式
    private  String operationMethod;
    //参考新建工作量
    private  String newWorkload;
    //参考拆除工作量
    private  String demolitionWorkload;
    //开工作业方式
    private  String wayOfWorking;
    //开工新建工作量
    private  String startConstruction;
    //开工拆除工作量
    private  String startLoad;
    //开工交叉跨越
    private  String startCrossover;
    //竣工作业方式
    private  String completedWork;
    //竣工新建工作量
    private  String endConstruction;
    //竣工拆除工作量
    private  String endLoad;
    //竣工交叉跨越
    private  String endCrossover;
    //记录第几次涉电
    private String severalTimes;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public String getPlannedStart() {
        return plannedStart;
    }

    public void setPlannedStart(String plannedStart) {
        this.plannedStart = plannedStart;
    }

    public String getPlannedEnd() {
        return plannedEnd;
    }

    public void setPlannedEnd(String plannedEnd) {
        this.plannedEnd = plannedEnd;
    }

    public String getActualStart() {
        return actualStart;
    }

    public void setActualStart(String actualStart) {
        this.actualStart = actualStart;
    }

    public String getActualEnd() {
        return actualEnd;
    }

    public void setActualEnd(String actualEnd) {
        this.actualEnd = actualEnd;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    public String getPersonInCharge() {
        return personInCharge;
    }

    public void setPersonInCharge(String personInCharge) {
        this.personInCharge = personInCharge;
    }

    public String getWorkPlace() {
        return workPlace;
    }

    public void setWorkPlace(String workPlace) {
        this.workPlace = workPlace;
    }

    public String getOperationMethod() {
        return operationMethod;
    }

    public void setOperationMethod(String operationMethod) {
        this.operationMethod = operationMethod;
    }

    public String getNewWorkload() {
        return newWorkload;
    }

    public void setNewWorkload(String newWorkload) {
        this.newWorkload = newWorkload;
    }

    public String getDemolitionWorkload() {
        return demolitionWorkload;
    }

    public void setDemolitionWorkload(String demolitionWorkload) {
        this.demolitionWorkload = demolitionWorkload;
    }

    public String getWayOfWorking() {
        return wayOfWorking;
    }

    public void setWayOfWorking(String wayOfWorking) {
        this.wayOfWorking = wayOfWorking;
    }

    public String getStartConstruction() {
        return startConstruction;
    }

    public void setStartConstruction(String startConstruction) {
        this.startConstruction = startConstruction;
    }

    public String getStartLoad() {
        return startLoad;
    }

    public void setStartLoad(String startLoad) {
        this.startLoad = startLoad;
    }

    public String getStartCrossover() {
        return startCrossover;
    }

    public void setStartCrossover(String startCrossover) {
        this.startCrossover = startCrossover;
    }

    public String getCompletedWork() {
        return completedWork;
    }

    public void setCompletedWork(String completedWork) {
        this.completedWork = completedWork;
    }

    public String getEndConstruction() {
        return endConstruction;
    }

    public void setEndConstruction(String endConstruction) {
        this.endConstruction = endConstruction;
    }

    public String getEndLoad() {
        return endLoad;
    }

    public void setEndLoad(String endLoad) {
        this.endLoad = endLoad;
    }

    public String getEndCrossover() {
        return endCrossover;
    }

    public void setEndCrossover(String endCrossover) {
        this.endCrossover = endCrossover;
    }

    public BasicInformation getBasicInformation() {
        return basicInformation;
    }

    public void setBasicInformation(BasicInformation basicInformation) {
        this.basicInformation = basicInformation;
    }

    public String getBuildingUnit() {
        return buildingUnit;
    }

    public void setBuildingUnit(String buildingUnit) {
        this.buildingUnit = buildingUnit;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getConstructionUnit() {
        return constructionUnit;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getSeveralTimes() {
        return severalTimes;
    }

    public void setSeveralTimes(String severalTimes) {
        this.severalTimes = severalTimes;
    }
}
